Page MenuHomePhabricator

Provide a way to restore an old revision with multiple slots.
Closed, ResolvedPublic

Description

Currently, old revisions can be restored by loading them into the EditPage using the action=edit&oldid=12345. However, this will presently only restore the main slot, and will not work for content models that do not support direct editing.

Until T174033: Refactor EditPage to allow multiple slots to be edited atomically [MCR] is implemented, we need an alternative way to restore old revisions. This could be done in the same way that undo is currently implemented for MCR, per T189808: Make undo work with multiple slots..

Note that the same mechanism should also be used in case the main slot does not support direct editing, regardless of whether there are additional slots. This case is particularly relevant for Wikibase instances with entities in the main slot, like Wikidata.

Event Timeline

daniel created this task.Sep 18 2018, 3:44 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptSep 18 2018, 3:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 461162 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Provide a way to restore an old revision with multiple slots.

https://gerrit.wikimedia.org/r/461162

daniel updated the task description. (Show Details)Sep 18 2018, 5:13 PM
Addshore moved this task from incoming to monitoring on the Wikidata board.Sep 19 2018, 7:06 AM

Change 461162 merged by jenkins-bot:
[mediawiki/core@master] Provide a way to restore an old revision with multiple slots.

https://gerrit.wikimedia.org/r/461162

daniel closed this task as Resolved.Sep 25 2018, 7:41 AM
daniel moved this task from In Progress to Done on the Multi-Content-Revisions board.
RP88 added a subscriber: RP88.Sep 29 2018, 2:55 AM